Index: tools/regtests.c
===================================================================
RCS file: /CVS/ReactOS/reactos/tools/regtests.c,v
retrieving revision 1.13
diff -u -r1.13 regtests.c
--- tools/regtests.c	2 Oct 2004 08:44:54 -0000	1.13
+++ tools/regtests.c	3 Oct 2004 20:48:38 -0000
@@ -695,8 +695,15 @@
 	  stub_index++)
   	{
   		/*
+  		 * Remove, if present, the trailing LF.
+  		 */
+  		if ((s = (char *) strchr(line,'\n')) != NULL)
+  		  {
+  			  *s = '\0';
+  	    }
+
+  		/*
   		 * Remove, if present, the trailing CR.
-  		 * (os specific?)
   		 */
   		if ((s = (char *) strchr(line,'\r')) != NULL)
   		  {
Index: tools/helper.mk
===================================================================
RCS file: /CVS/ReactOS/reactos/tools/helper.mk,v
retrieving revision 1.83
diff -u -r1.83 helper.mk
--- tools/helper.mk	3 Oct 2004 14:24:43 -0000	1.83
+++ tools/helper.mk	3 Oct 2004 20:48:39 -0000
@@ -1017,7 +1017,7 @@
 
 clean_regtests:
 	$(MAKE) -C tests TARGET_REGTESTS=no clean
-	$(RM) ./tests/_rtstub.c ./tests/_regtests.c ./tests/Makefile.tests
+	$(RM) ./tests/_rtstub.c ./tests/_regtests.c ./tests/_hooks.c ./tests/_stubs.S ./tests/Makefile.tests
 
 .PHONY: all depends implib clean install dist bootcd depends gen_regtests clean_regtests
 
